import './main.scss';
import './components/header/header.js';

// Import component-specific JS
import './components/modal/modal.js';
import './components/tabs/tabs.js';
import './components/slider/slider.js';
import './components/accordion/accordion.js';

import { greet } from './utils/helpers';

document.addEventListener('DOMContentLoaded', () => {
  console.log('Hello from main.js!');
  console.log(greet('world'));
  console.log('App Environment:', __APP_ENV__);
});
